com.aliyun.svideosdk.mixrecorder

## Class AliyunMixMediaInfoParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixMediaInfoParam.Builder

- Enclosing class:
    AliyunMixMediaInfoParam

      public static final class AliyunMixMediaInfoParam.Builder
      extends java.lang.Object

  `AliyunMixMediaInfoParam` builder static inner class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunMixMediaInfoParam` | `build()` Returns a `AliyunMixMediaInfoParam` built from the parameters previously set.
    `AliyunMixMediaInfoParam.Builder` | `mixDisplayParam(AliyunMixRecorderDisplayParam mixDisplayParam)` Sets the `mMixDisplayParam` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixMediaInfoParam.Builder` | `mixVideoFilePath(java.lang.String mixVideoFilePath)` Sets the `mFilePath` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixMediaInfoParam.Builder` | `recordDisplayParam(AliyunMixRecorderDisplayParam recordDisplayParam)` Sets the `mRecordDisplayParam` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixMediaInfoParam.Builder` | `streamEndTimeMills(long streamEndTimeMills)` Sets the `mStreamEndTimeMills` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixMediaInfoParam.Builder` | `streamStartTimeMills(long streamStartTimeMills)` Sets the `mStreamStartTimeMills` and returns a reference to this Builder so that the methods can be chained together.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### mixVideoFilePath

          public AliyunMixMediaInfoParam.Builder mixVideoFilePath(java.lang.String mixVideoFilePath)

      Sets the `mFilePath` and returns a reference to this Builder so that the methods can be chained together. 设置合拍视频文件路径
      Parameters:
        `mixVideoFilePath` - the `mFilePath` to set
      Returns:
        a reference to this Builder

    - #### streamStartTimeMills

          public AliyunMixMediaInfoParam.Builder streamStartTimeMills(long streamStartTimeMills)

      Sets the `mStreamStartTimeMills` and returns a reference to this Builder so that the methods can be chained together. 设置流的开始时间，比如30s的流，选取其中的5-20s，则startTime设置为5000
      Parameters:
        `streamStartTimeMills` - the `mStreamStartTimeMills` to set
      Returns:
        a reference to this Builder

    - #### streamEndTimeMills

          public AliyunMixMediaInfoParam.Builder streamEndTimeMills(long streamEndTimeMills)

      Sets the `mStreamEndTimeMills` and returns a reference to this Builder so that the methods can be chained together. 设置流的结束时间
      Parameters:
        `streamEndTimeMills` - the `mStreamEndTimeMills` to set
      Returns:
        a reference to this Builder

    - #### recordDisplayParam

          public AliyunMixMediaInfoParam.Builder recordDisplayParam(AliyunMixRecorderDisplayParam recordDisplayParam)

      Sets the `mRecordDisplayParam` and returns a reference to this Builder so that the methods can be chained together. 设置合拍摄像头采集窗口的显示布局参数
      Parameters:
        `recordDisplayParam` - the `mRecordDisplayParam` to set
      Returns:
        a reference to this Builder

    - #### mixDisplayParam

          public AliyunMixMediaInfoParam.Builder mixDisplayParam(AliyunMixRecorderDisplayParam mixDisplayParam)

      Sets the `mMixDisplayParam` and returns a reference to this Builder so that the methods can be chained together. 设置合拍样本视频窗口显示布局参数
      Parameters:
        `mixDisplayParam` - the `mMixDisplayParam` to set
      Returns:
        a reference to this Builder

    - #### build

          public AliyunMixMediaInfoParam build()

      Returns a `AliyunMixMediaInfoParam` built from the parameters previously set.
      Returns:
        a `AliyunMixMediaInfoParam` built with parameters of this `AliyunMixMediaInfoParam.Builder`